Skip to main content
GET
This endpoint retrieves a list of all phone numbers belonging to your organization. It includes information about each number’s assignment status.

Query Parameters

  • include_assigned (boolean, optional, default: true): Set to false to exclude numbers that are currently assigned to an assistant.
  • include_unassigned (boolean, optional, default: true): Set to false to exclude numbers that are not currently assigned to any assistant.
  • include_inactive (boolean, optional, default: false): Set to true to include inactive or deactivated numbers.

Response

The response is a JSON array of phone number objects. If a number is assigned, the assistant field will contain details about the assistant it’s linked to.
Response

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_assigned
boolean
default:true

Include phone numbers assigned to assistants

include_unassigned
boolean
default:true

Include unassigned phone numbers

include_inactive
boolean
default:false

Include inactive/deactivated phone numbers

Response

Successful Response

id
integer
required
phone_number
string
required
provider
string
required
twilio_sid
string
required
is_active
boolean
required
capabilities
Capabilities · object
required
created_at
string<date-time>
required
friendly_name
string | null
is_verified_caller_id
boolean
default:false
sip_trunk_id
string | null
allowed_country_codes
string[] | null
assistant
OrganizationAssistantInfo · object | null

Minimal assistant info for phone number list.

flow
OrganizationFlowInfo · object | null

ConversationFlow information for phone number responses.

updated_at
string<date-time> | null